/*
 * Recon allows monitoring and recording of data stream trough serial port.
 * Copyright (C) 2008-2009  Linas Žvirblis <0x0007@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package lt.ku.ik.recon.logic.model;

import gnu.io.SerialPort;

/**
 *
 * @author linas
 */
public enum DataBits {

    DATABITS_5(SerialPort.DATABITS_5),
    DATABITS_6(SerialPort.DATABITS_6),
    DATABITS_7(SerialPort.DATABITS_7),
    DATABITS_8(SerialPort.DATABITS_8);

    private final int dataBits;

    private DataBits(int dataBits) {
        this.dataBits = dataBits;
    }

    public int bits() {
        return dataBits;
    }
}
