/*
 * Recon allows monitoring and recording of data stream trough serial port.
 * Copyright (C) 2008-2009  Linas Žvirblis <0x0007@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package lt.ku.ik.recon.presentation.gui.widgets;

import lt.ku.ik.recon.logic.model.Emotion;

/**
 *
 * @author linas
 */
public class EmotionSelectorPanel extends EmotionSelectorSketch {

    public Emotion getSelectedEmotion() {

        Emotion selectedEmotion;

        if (jButtonAngry.isSelected()) {
            selectedEmotion = Emotion.ANGRY;
        } else if (jButtonStressed.isSelected()) {
            selectedEmotion = Emotion.STRESSED;
        } else if (jButtonConfused.isSelected()) {
            selectedEmotion = Emotion.CONFUSED;
        } else if (jButtonSatisfied.isSelected()) {
            selectedEmotion = Emotion.SATISFIED;
        } else if (jButtonHappy.isSelected()) {
            selectedEmotion = Emotion.HAPPY;
        } else if (jButtonSick.isSelected()) {
            selectedEmotion = Emotion.SICK;
        } else if (jButtonUncomfortable.isSelected()) {
            selectedEmotion = Emotion.UNCOMFORTABLE;
        } else if (jButtonNeutral.isSelected()) {
            selectedEmotion = Emotion.NEUTRAL;
        } else if (jButtonComfortable.isSelected()) {
            selectedEmotion = Emotion.COMFORTABLE;
        } else if (jButtonConfident.isSelected()) {
            selectedEmotion = Emotion.CONFIDENT;
        } else if (jButtonDepressed.isSelected()) {
            selectedEmotion = Emotion.DEPRESSED;
        } else if (jButtonTired.isSelected()) {
            selectedEmotion = Emotion.TIRED;
        } else if (jButtonIndiferent.isSelected()) {
            selectedEmotion = Emotion.INDIFERENT;
        } else if (jButtonCalm.isSelected()) {
            selectedEmotion = Emotion.CALM;
        } else if (jButtonRelaxed.isSelected()) {
            selectedEmotion = Emotion.RELAXED;
        } else {
            jButtonNeutral.setSelected(true);
            selectedEmotion = Emotion.NEUTRAL;
        }

        return (selectedEmotion);
    }

    public void setSelectedEmotion(Emotion selectedEmotion) {

        if (selectedEmotion == Emotion.ANGRY) {
            jButtonAngry.setSelected(true);
        } else if (selectedEmotion == Emotion.STRESSED) {
           jButtonStressed.setSelected(true);
        } else if (selectedEmotion == Emotion.CONFUSED) {
           jButtonConfused.setSelected(true);
        } else if (selectedEmotion == Emotion.SATISFIED) {
           jButtonSatisfied.setSelected(true);
        } else if (selectedEmotion == Emotion.SICK) {
           jButtonSick.setSelected(true);
        } else if (selectedEmotion == Emotion.UNCOMFORTABLE) {
           jButtonUncomfortable.setSelected(true);
        } else if (selectedEmotion == Emotion.NEUTRAL) {
           jButtonNeutral.setSelected(true);
        } else if (selectedEmotion == Emotion.COMFORTABLE) {
           jButtonComfortable.setSelected(true);
        } else if (selectedEmotion == Emotion.CONFIDENT) {
           jButtonConfident.setSelected(true);
        } else if (selectedEmotion == Emotion.DEPRESSED) {
           jButtonDepressed.setSelected(true);
        } else if (selectedEmotion == Emotion.TIRED) {
           jButtonTired.setSelected(true);
        } else if (selectedEmotion == Emotion.INDIFERENT) {
           jButtonIndiferent.setSelected(true);
        } else if (selectedEmotion == Emotion.CALM) {
           jButtonCalm.setSelected(true);
        } else if (selectedEmotion == Emotion.RELAXED) {
           jButtonRelaxed.setSelected(true);
        } else {
            jButtonNeutral.setSelected(true);
        }
    }
}
