/*
 * Recon allows monitoring and recording of data stream trough serial port.
 * Copyright (C) 2008-2009  Linas Žvirblis <0x0007@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package lt.ku.ik.recon.logic.model;

/**
 *
 * @author linas
 */
public enum BaudRate {

    BAUD_200(200),
    BAUD_300(300),
    BAUD_600(600),
    BAUD_1200(1200),
    BAUD_1800(1800),
    BAUD_2400(2400),
    BAUD_3600(3600),
    BAUD_4800(4800),
    BAUD_7200(7200),
    BAUD_9600(9600),
    BAUD_14400(14400),
    BAUD_19200(19200),
    BAUD_28800(28800),
    BAUD_38400(38400),
    BAUD_57600(57600),
    BAUD_76800(76800),
    BAUD_115200(115200),
    BAUD_230400(230400),
    BAUD_460800(460800),
    BAUD_576000(576000),
    BAUD_921600(921600);

    private final int baudRate;

    private BaudRate(int baudRate) {
        this.baudRate = baudRate;
    }

    public int rate() {
        return baudRate;
    }
}
