/*
 * Recon allows monitoring and recording of data stream trough serial port.
 * Copyright (C) 2008-2009  Linas Žvirblis <0x0007@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package lt.ku.ik.recon.logic.model;

/**
 *
 * @author linas
 */
public class Settings {

    private String device;
    private BaudRate baudRate;
    private DataBits dataBits;
    private StopBits stopBits;
    private Parity parity;
    private int precision;
    private int channels;
    private int startCommand;
    private int stopCommand;
    private CommandFormat commandFormat;
    private int resolutionOfGraph;

    public BaudRate getBaudRate() {
        return baudRate;
    }

    public void setBaudRate(BaudRate baudRate) {
        this.baudRate = baudRate;
    }

    public int getChannels() {
        return channels;
    }

    public void setChannels(int channels) {
        this.channels = channels;
    }

    public CommandFormat getCommandFormat() {
        return commandFormat;
    }

    public void setCommandFormat(CommandFormat commandFormat) {
        this.commandFormat = commandFormat;
    }

    public DataBits getDataBits() {
        return dataBits;
    }

    public void setDataBits(DataBits dataBits) {
        this.dataBits = dataBits;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public Parity getParity() {
        return parity;
    }

    public void setParity(Parity parity) {
        this.parity = parity;
    }

    public int getPrecision() {
        return precision;
    }

    public void setPrecision(int precision) {
        this.precision = precision;
    }

    public int getResolutionOfGraph() {
        return resolutionOfGraph;
    }

    public void setResolutionOfGraph(int resolutionOfGraph) {
        this.resolutionOfGraph = resolutionOfGraph;
    }

    public int getStartCommand() {
        return startCommand;
    }

    public void setStartCommand(int startCommand) {
        this.startCommand = startCommand;
    }

    public StopBits getStopBits() {
        return stopBits;
    }

    public void setStopBits(StopBits stopBits) {
        this.stopBits = stopBits;
    }

    public int getStopCommand() {
        return stopCommand;
    }

    public void setStopCommand(int stopCommand) {
        this.stopCommand = stopCommand;
    }
}
