/*
 * Recon allows monitoring and recording of data stream trough serial port.
 * Copyright (C) 2008-2009  Linas Žvirblis <0x0007@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package lt.ku.ik.recon.logic.model;

import gnu.io.SerialPort;

/**
 *
 * @author linas
 */
public enum StopBits {

    STOPBITS_1(SerialPort.STOPBITS_1),
    STOPBITS_1_5(SerialPort.STOPBITS_1_5),
    STOPBITS_2(SerialPort.STOPBITS_2);

    private int stopBits;

    private StopBits(int stopBits) {
        this.stopBits = stopBits;
    }

    public int bits() {
        return stopBits;
    }
}
